package jettyTiddlywiki;


import org.eclipse.jetty.server.Connector;
import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.server.bio.SocketConnector;
import org.eclipse.jetty.server.handler.ContextHandlerCollection;
import org.eclipse.jetty.webapp.WebAppContext;

/**
 * Hello world!
 *
 */
public class App 
{
	public static void main(String[] args) throws Exception
    {
        Server server = new Server();
        ContextHandlerCollection contexts = new ContextHandlerCollection();
        server.setHandler(contexts);
        SocketConnector connector = new SocketConnector();
        connector.setPort(8080);
        server.setConnectors(new Connector[]{connector});
        WebAppContext webAppContext = new WebAppContext();
		webAppContext.setDescriptor(webAppContext + "war/WEB-INF/web.xml");
		webAppContext.setResourceBase("war");
		webAppContext.setContextPath("");
        contexts.addHandler(webAppContext);
        try {    
            server.start();
        }
        catch (java.net.BindException ex) {
            System.exit(-1);
        }
    }
}
