package jettyTiddlywiki.entity;

import jettyTiddlywiki.factory.B32F;

public class Diff {
	private String key;
	private String wiki;
	private String html;
	
	public Diff(String wiki, String html){
		this.wiki = wiki;
		this.key = B32F.get().encodeToString(wiki.getBytes());
		this.html = html;
	}
	public Diff(String key, String wiki, String html){
		this.wiki = wiki;
		this.key = key;
		this.html = html;
	}
	
	public String getKey() {
		return key;
	}
	public void setKey(String key) {
		this.key = key;
	}
	public String getWiki() {
		return wiki;
	}
	public void setWiki(String wiki) {
		this.wiki = wiki;
	}
	public String getHtml() {
		return html;
	}
	public void setHtml(String html) {
		this.html = html;
	}
}
