package jettyTiddlywiki.entity;

import jettyTiddlywiki.factory.B32F;

public class File{
	private String name;
	private String wiki;
	private String wikikey;
	private String key; // wiki/name base32
	private String ctyp;
	private byte[] byts;
	private int size;
	
	public File(String name,String wiki,String ctyp,byte[] byts){
		this.name = name;
		this.wiki = wiki;
		this.wikikey = B32F.get().encodeToString((wiki).getBytes());
		this.key = B32F.get().encodeToString((wiki+"/"+name).getBytes());
		this.ctyp = ctyp;
		this.byts = byts;
		this.size = byts.length;
	}

	public File(String name,String wiki,String wikikey,String key,String ctyp,byte[] byts,int size){
		this.name = name;
		this.wiki = wiki;
		this.wikikey = wikikey;
		this.key = key;
		this.ctyp = ctyp;
		this.byts = byts;
		this.size = size;
	}

	public String getWikikey() {
		return wikikey;
	}

	public void setWikikey(String wikikey) {
		this.wikikey = wikikey;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getWiki() {
		return wiki;
	}

	public void setWiki(String wiki) {
		this.wiki = wiki;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getCtyp() {
		return ctyp;
	}

	public void setCtyp(String ctyp) {
		this.ctyp = ctyp;
	}

	public byte[] getByts() {
		return byts;
	}

	public void setByts(byte[] byts) {
		this.byts = byts;
	}
	
	public int getSize() {
		return size;
	}

	public void setSize(int size) {
		this.size = size;
	}
}
