package jettyTiddlywiki.toolbox;

import java.text.SimpleDateFormat;
import java.util.List;

public enum Miscellaneous {
	INSTANCE;
	public SimpleDateFormat defsdf = new SimpleDateFormat("yyyyMMddHHmmssSSS");
	
    public String htmlDecode(final String s)
    {
        return s.replace("&lt;", "<").replace("&gt;", ">").replace("&quot;", "\"").replace("&amp;", "&");
    }
    
	public String htmlEncode(final String s)
	{
	    return s.replace("&", "&amp;").replace("<", "&lt;").replace(">", "&gt;").replace("\"", "&quot;");
	}
    
    public String sqliteEscape(String s){
    	return s.replace("'", "''");
    }
    
    public String join(List<?> l){
    	StringBuilder sb = new StringBuilder();
    	sb.delete(0, sb.length());
		for (Object object : l) {
			sb.append(object);
			sb.append("\n");
		}
		if(sb.length()>=1)sb.deleteCharAt(sb.length()-1); // last "\n"
		return sb.toString();
    }
}
